def loadFasta(fastafile):
	f=open(fastafile)
	seqs={}
	rows = f.readlines()
	for i in range(0,len(rows),2):
		name=rows[i][1:].strip()
		seq=rows[i+1].strip()
		seqs[name]=seq
	f.close()
	return seqs

def seq2variants(seq, profilefile, threshold):

	f=open(profilefile)
	aminos=f.readline().strip()
	richseq = ""

	for amino in seq:
		profile = f.readline().strip().split()
		variants=""
		for i in range(len(aminos)):
			if aminos[i] != amino and float(profile[i]) > threshold:
				variants += aminos[i]
		if variants:
			richseq += "[" + amino + "|" + variants + "]"
		else:
			richseq += amino

	f.close()
	return richseq


def seqs2variants(seqs, profiledir, threshold):
	for (name,seq) in seqs.items():
		profilefile = profiledir + "/" + name
		richseq = seq2variants(seq, profilefile, threshold)
		print(name,richseq)

fastafile=input("Nome file fasta: ")
profiledir=input("Nome directory profili: ")
threshold=float(input("Soglia di conservazione: "))


seqs=loadFasta(fastafile)
seqs2variants(seqs, profiledir, threshold)
